Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl.main
Class CmdLineParser.Option.DoubleOption

    java.lang.Object
      org.metaqtl.main.CmdLineParser.Option
          org.metaqtl.main.CmdLineParser.Option.DoubleOption

Enclosing class:
  CmdLineParser.Option

    public static class CmdLineParser.Option.DoubleOption

extends CmdLineParser.Option

An option that expects a floating-point value

Nested Class Summary

Nested classes/interfaces inherited from class org.metaqtl.main.CmdLineParser.Option
`CmdLineParser.Option.BooleanOption, CmdLineParser.Option.DoubleOption, CmdLineParser.Option.IntegerOption, CmdLineParser.Option.LongOption, CmdLineParser.Option.StringOption`

Constructor Summary
`CmdLineParser.Option.DoubleOption(char shortForm, java.lang.String longForm)`
`CmdLineParser.Option.DoubleOption(java.lang.String longForm)`

Method Summary
`protected java.lang.Object` | `parseValue(java.lang.String arg, java.util.Locale locale)` Override to extract and convert an option value passed on the command-line

Methods inherited from class org.metaqtl.main.CmdLineParser.Option
`getValue, longForm, shortForm, wantsValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CmdLineParser.Option.DoubleOption

    public CmdLineParser.Option.DoubleOption(char shortForm,
                                             java.lang.String longForm)

### CmdLineParser.Option.DoubleOption

    public CmdLineParser.Option.DoubleOption(java.lang.String longForm)

Method Detail

### parseValue

    protected java.lang.Object parseValue(java.lang.String arg,
                                          java.util.Locale locale)
                                   throws CmdLineParser.IllegalOptionValueException

  Description copied from class: `CmdLineParser.Option`
  Override to extract and convert an option value passed on the command-line

  Overrides:
    `parseValue` in class `CmdLineParser.Option`
  Throws:
    `CmdLineParser.IllegalOptionValueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD